Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000306Core InformActionspublic2010-09-26 16:202010-10-28 00:30
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000306: Cannot use action-local KOV variable in rule header with "an actor"
DescriptionIn the code below, Inform does not understand the when/while clause.

       Report an actor painting when tint is red:

This error occurs regardless of check/carryout/report rulebook, and happens with "an actor" as well as with "someone". It will work fine if the rule only applies to the player.
Minimal Source Text To Reproduce
Painting is an action applying to nothing.

A color is a kind of value. The colors are red, green, blue.

The painting action has a color called tint.
Setting action variables for painting:  now tint is red.

Report an actor painting when tint is red: 
       do nothing.


spot is room.

TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0000619)
graham (administrator)
2010-09-29 06:41

A pernicious bug, now removed.

- Issue History
Date Modified Username Field Change
2010-09-26 16:20 Ron Newcomb New Issue
2010-09-26 20:29 jmcgrew Status new => acknowledged
2010-09-27 18:49 EmacsUser Effect (critical) Inform 6 compiler reports errors for valid code => (serious) Compiler rejects valid code
2010-09-27 18:49 EmacsUser Severity critical => serious
2010-09-27 18:49 EmacsUser Status acknowledged => confirmed
2010-09-29 06:41 graham Note Added: 0000619
2010-09-29 06:41 graham Status confirmed => resolved
2010-09-29 06:41 graham Resolution open => fixed
2010-09-29 06:41 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker